local BullseyePlus_PlayerManager_upgrade_value = PlayerManager.upgrade_value
function PlayerManager:upgrade_value(category, upgrade, default)    
    local level = self:upgrade_level(category, upgrade, default)

    if category == "player" and upgrade == "headshot_regen_armor_bonus" and level == 2 then
        local player_unit = self:player_unit()
        local damage_ext = player_unit:character_damage()
        local max_armor = damage_ext._ARMOR_INIT + managers.player:body_armor_value("armor")
        local regen = math.max(max_armor * 0.25, 2.5)
        return regen
    else
        return BullseyePlus_PlayerManager_upgrade_value(self, category, upgrade, default)
    end
end
